Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CommandLineArgument

    java.lang.Object
      com.beasys.commerce.util.CommandLineArgument

Deprecated. Use `CommandLineArgument`

public class CommandLineArgument
extends Object

Representation of a command line argument.

Field Summary
`protected String` | `defaultValue` Deprecated.
`protected String` | `description` Deprecated.
`protected String` | `flag` Deprecated.
`protected boolean` | `required` Deprecated.
`protected boolean` | `requiresFlagValue` Deprecated.

Constructor Summary
`CommandLineArgument(String aFlag, boolean requiresValue, boolean required)` Deprecated. Command line argument constructor.

Method Summary
`boolean` | `equals(Object anObject)` Deprecated. Equals.
`String` | `getDefaultValue()` Deprecated. Get default value.
`String` | `getDescription()` Deprecated. Get description.
`String` | `getFlag()` Deprecated. Get flag.
`boolean` | `isRequired()` Deprecated. Is required.
`boolean` | `requiresFlagValue()` Deprecated. Requires flag value.
`void` | `setDefaultValue(String aDefaultValue)` Deprecated. Set default value.
`void` | `setDescription(String aDescription)` Deprecated. Set description.
`void` | `setFlag(String aFlag)` Deprecated. Set flag.
`void` | `setRequired(boolean aBool)` Deprecated. Set required.
`void` | `setRequiresFlagValue(boolean aBool)` Deprecated. Set requires flag value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultValue

    protected String defaultValue

  Deprecated.

### description

    protected String description

  Deprecated.

### flag

    protected String flag

  Deprecated.

### required

    protected boolean required

  Deprecated.

### requiresFlagValue

    protected boolean requiresFlagValue

  Deprecated.

Constructor Detail

### CommandLineArgument

    public CommandLineArgument(String aFlag,
                               boolean requiresValue,
                               boolean required)

  Deprecated.
  Command line argument constructor.

Method Detail

### equals

    public boolean equals(Object anObject)

  Deprecated.
  Equals.

  Parameters:
    `anObject` -
  Returns:
    `boolean`

### getDefaultValue

    public String getDefaultValue()

  Deprecated.
  Get default value.

  Returns:
    `String`

### getDescription

    public String getDescription()

  Deprecated.
  Get description.

  Returns:
    `String`

### getFlag

    public String getFlag()

  Deprecated.
  Get flag.

  Returns:
    `String`

### isRequired

    public boolean isRequired()

  Deprecated.
  Is required.

  Returns:
    `boolean`

### requiresFlagValue

    public boolean requiresFlagValue()

  Deprecated.
  Requires flag value.

  Returns:
    `boolean`

### setDefaultValue

    public void setDefaultValue(String aDefaultValue)

  Deprecated.
  Set default value.

  Parameters:
    `aDefaultValue` -

### setDescription

    public void setDescription(String aDescription)

  Deprecated.
  Set description.

  Parameters:
    `aDescription` -

### setFlag

    public void setFlag(String aFlag)

  Deprecated.
  Set flag.

  Parameters:
    `aFlag` -

### setRequired

    public void setRequired(boolean aBool)

  Deprecated.
  Set required.

  Parameters:
    `aBool` -

### setRequiresFlagValue

    public void setRequiresFlagValue(boolean aBool)

  Deprecated.
  Set requires flag value.

  Parameters:
    `aBool` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved